[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomBitBtn.Notification

Performs actions needed when a sub-component is added or removed in the class instance.

## Declaration

Source position: buttons.pp line 201

`protected procedure TCustomBitBtn.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification message.
`Operation` |  | Operation performed for the notification message.

## Description

Ensures that a TCustomImageList reference in the button glyph is Nil'd when the image list is freed.

## See also

TControl.Notification |  | Notification handler for insertion or deletion of components.